Page MenuHomePhabricator

Convert Extension:Translate to OOUI
Open, NormalPublic

Description

  • Special:ExportTranslations
  • Special:ImportTranslations
  • Special:LanguageStats
  • Special:Magic
  • Special:ManageGroups
  • Special:MessageGroupStats
  • Special:SearchTranslations
  • Special:TranslationStats
  • Special:Translations

Special:MessageGroupStats

Without Action

Before:
and After:

With Action

Before:
and After:

Special:ExportTranslations

Before:
and After:

Special:LanguageStats

Without Action

Before:
and After:

With Action

Before:
and After:

Special:Translations

Before:
and After:

Event Timeline

Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptApr 19 2018, 11:24 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 427643 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/Translate@master] Convert Special:MessageGroupStats to OOUI

https://gerrit.wikimedia.org/r/427643

Change 427646 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/Translate@master] Convert Special:ExportTranslations to OOUI

https://gerrit.wikimedia.org/r/427646

All this code is compatible with MediaWiki 1.29, right?

All this code is compatible with MediaWiki 1.29, right?

Yes, HTMLForm class since MediaWiki 1.16 and OOUI since version 1.23 :)

Change 427646 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Convert Special:ExportTranslations to OOUI

https://gerrit.wikimedia.org/r/427646

Change 427643 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Convert Special:MessageGroupStats to OOUI

https://gerrit.wikimedia.org/r/427643

Please can we also convert Special:LanguageStats to OOUI?

Nikerabbit triaged this task as Low priority.Jul 3 2018, 9:34 AM

Please can we also convert Special:LanguageStats to OOUI?

It is not declined. Patches are welcome!

Change 443615 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/Translate@master] Convert Special:LanguageStats to OOUI

https://gerrit.wikimedia.org/r/443615

This comment was removed by Jayprakash12345.
Jayprakash12345 raised the priority of this task from Low to Normal.Jul 3 2018, 2:01 PM
Jayprakash12345 updated the task description. (Show Details)

Change 443615 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Convert Special:LanguageStats to OOUI

https://gerrit.wikimedia.org/r/443615

Volker_E updated the task description. (Show Details)Aug 1 2018, 10:52 AM
Volker_E updated the task description. (Show Details)

Change 449775 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/Translate@master] Convert Special:Translations to OOUI

https://gerrit.wikimedia.org/r/449775

Change 449775 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Convert Special:Translations to OOUI

https://gerrit.wikimedia.org/r/449775